# Class SPIResolutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jdk.jshell.spi.SPIResolutionException

All Implemented Interfaces:
  `Serializable`

public class SPIResolutionException extends RuntimeException
The construction and throw of this exception is embedded in code generated by the JShell core implementation in such a way that, upon executing a `RECOVERABLE_DEFINED` user method, this exception is thrown.

This exception is seen by the execution engine, but not seen by the end user nor through the JShell API.

Since:
  9
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SPIResolutionException(int id)`
Constructs an SPI layer exception indicating that a `DeclarationSnippet` with unresolved references has been encountered.

## Method Summary

Modifier and Type
Method
Description
`int`
`id()`
Retrieves the internal identifier of the unresolved identifier.

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SPIResolutionException

public SPIResolutionException(int id)
Constructs an SPI layer exception indicating that a `DeclarationSnippet` with unresolved references has been encountered. The throw of this exception is generated into the body of a `RECOVERABLE_DEFINED` method.

Parameters:
  `id` - An internal identifier of the specific method

## Method Details

### id

public int id()
Retrieves the internal identifier of the unresolved identifier.

Returns:
  the internal identifier